#include <stdio.h>
#include <string.h>

int main()

{
    char s[5000],c1,c2;  
    int  i;
 
    gets(s);

    c1=getchar();
    getchar();
    c2=getchar();

    
    for(i=0;s[i];i++)
	{  
		if(s[i]==c1)
		{
		   s[i]=c2;
	 
	    }
 
	}
	   
    printf("%s",s);
     
    return 0;

}